Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocTool

- org.codehaus.groovy.tools.groovydoc.GroovyDocTool

-     public class GroovyDocTool
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Properties` | `properties` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocTool(String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
    `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
    `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(List<String> filenames)`
    `` | `public GroovyRootDoc` | `getRootDoc()`
    `` | `public void` | `renderToOutput(OutputTool output, String destdir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Properties properties

  - ### Constructor Detail

    - #### public GroovyDocTool(String[] sourcepaths)

      Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

      Parameters:
        `sourcepaths` - where the sources to be added can be found

    - #### public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

    - #### public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, Properties properties)

  - ### Method Detail

    - #### public void add(List<String> filenames)

    - #### public GroovyRootDoc getRootDoc()

    - #### public void renderToOutput(OutputTool output, String destdir)